using System;

internal sealed class Delegate178 : MulticastDelegate
{
	public extern DateTime Invoke();

	public static DateTime smethod_0(Delegate178 delegate178_1)
	{
		return delegate178_1();
	}

	public extern Delegate178(object object_0, IntPtr intptr_0);

	static Delegate178()
	{
		Class10.smethod_13(typeof(Delegate178).TypeHandle);
	}

	internal static Delegate178 delegate178_0;
}
